ESP Toolchain won't install

For general Flowcode discussion that does not belong in the other sections.
Post Reply
pmgreene01
Posts: 35
http://meble-kuchenne.info.pl
Joined: Sat Jul 08, 2023 7:39 pm
Has thanked: 3 times
Been thanked: 4 times

Flowcode v10 ESP Toolchain won't install

Post by pmgreene01 »

I am getting errors when I try to install the ESP32 toolchain in FC10.

I purchased the ESP32 license and downloaded esp-idf-tools-setup-2.3.exe from the Flowcode site.

I already had Python and Git installed without error.

However, it fails on the installation of the Esp IDF with the message "Installation has failed with exit code 1"

I have done a bunch of searching and I have turned off my virus and firewall protection, did a registry clean, etc.

I was able to finish the ESP installation v5.1.1 using the offline installation package from Espressif, but Flowcode would not recognize the installation, so I went back and tried it with the esp-idf-tools-setup-2.3.exe and keep getting the "exit code 1"

I attached my log file from the most recent failed installation attempt.
Attachments
Setup Log 2023-11-19 #005.txt
(35.47 KiB) Downloaded 43 times

Steve-Matrix
Matrix Staff
Posts: 1210
Joined: Sat Dec 05, 2020 10:32 am
Has thanked: 162 times
Been thanked: 270 times

Re: ESP Toolchain won't install

Post by Steve-Matrix »

The ESP toolchain can be challenging to set up and you will find numerous posts on this forum with experiences similar to yours (for example, here).

We have created some instructions in the Flowcode Wiki which do seem to work, but it is important that each step is followed exactly.

medelec35
Matrix Staff
Posts: 1393
Joined: Wed Dec 02, 2020 11:07 pm
Has thanked: 491 times
Been thanked: 452 times

Re: ESP Toolchain won't install

Post by medelec35 »

Hello.
I looked at the set up log, and the issue could be down to the Python version already installed.
Is there a reason you can't uninstall the current python and then go by the instructions on the Wiki?
Once installed, then look back into updating python again?
Martin

pmgreene01
Posts: 35
Joined: Sat Jul 08, 2023 7:39 pm
Has thanked: 3 times
Been thanked: 4 times

Re: ESP Toolchain won't install

Post by pmgreene01 »

Yes, the Python version was it. When I checked "install Python 3.7" the installation completed without errors.

Thanks for your fast response and helping me figure this out.

medelec35
Matrix Staff
Posts: 1393
Joined: Wed Dec 02, 2020 11:07 pm
Has thanked: 491 times
Been thanked: 452 times

Re: ESP Toolchain won't install

Post by medelec35 »

Thats great!
I'm glad you are now up and running with ESP32.

Thanks for letting us know.
Martin

Chadb
Posts: 63
Joined: Fri Dec 18, 2020 1:15 pm
Has thanked: 23 times

Re: ESP Toolchain won't install

Post by Chadb »

I broke my FC programming updating python and git for other things on my machine. I was able to get it running by launching the install.bat in the espidf folder. I am now programming with python 3.10.6 and the latest git. (?)

pmgreene01
Posts: 35
Joined: Sat Jul 08, 2023 7:39 pm
Has thanked: 3 times
Been thanked: 4 times

Re: ESP Toolchain won't install

Post by pmgreene01 »

I have the toolchain installed. Can anyone help me with this compiler error?

ERROR: C:\Users\user\.espressif\python_env\idf5.1_py3.7_env\Scripts\python.exe doesn't support asyncio.

See attached file.
Attachments
231124_compiler_error.txt
(3.91 KiB) Downloaded 41 times

chipfryer27
Valued Contributor
Posts: 1054
Joined: Thu Dec 03, 2020 10:57 am
Has thanked: 269 times
Been thanked: 364 times

Re: ESP Toolchain won't install

Post by chipfryer27 »

Hi

See this post, it may help

viewtopic.php?f=3&t=1923

Regards

pmgreene01
Posts: 35
Joined: Sat Jul 08, 2023 7:39 pm
Has thanked: 3 times
Been thanked: 4 times

Re: ESP Toolchain won't install

Post by pmgreene01 »

Thanks, that worked

Post Reply